apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: geocrop-tiler-rewrite
  namespace: geocrop
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
    nginx.ingress.kubernetes.io/rewrite-target: /$1
    nginx.ingress.kubernetes.io/proxy-body-size: "50m"
spec:
  ingressClassName: nginx
  rules:
  - host: api.portfolio.techarvest.co.zw
    http:
      paths:
      - path: /tiles/(.*)
        pathType: Prefix
        backend:
          service:
            name: geocrop-tiler
            port:
              number: 8000
  tls:
  - hosts:
    - api.portfolio.techarvest.co.zw
    secretName: geocrop-web-api-tls
